
#include <mgl.h>

mglFont *font;

void display (void)
{
  mglClearScreen (mglWhite);

  mglSetTextureZoom (1);
  mglSetTextureColors (mglBlack);
  mglFontWrap = 0;
  mglFontWordWrap = 0;
  
  mglPuts (font, "This is very, very long text string", 0, 0);
 
  mglSetTextureColors (mglRed);
  mglFontWrap = mglVirtualWidth / font->w;
  mglPuts (font, "This is very, very long text string", 0, font->h);

  mglSetTextureColors (mglPink);
  mglFontWordWrap = 1;
  mglPuts (font, "This is very, very long text string", 0, 4*font->h);

  mglSetTextureColors (mglCeleste);
  mglFontWrap = 0;
  mglTextureZoomX = 1.3;
  mglTextureZoomY = 3;
  mglPuts (font, "Zoomed text", 0, 7 * font->h);
}

int main (void)
{
  mglVirtualWidth = 256;
  mglVirtualHeight = 256;
  mglOpenWindow ("Demonstrace modulu Fonts", 100, 100, 256, 256);

  font = mglLoadFont ("../data/fonts/default.txt", "../data/fonts/default.tga");

  mglSetDisplayHandler (display);
  mglRun ();
  return 0;
}
